#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9D,0xD5,0x63,0xFA,0xFE,0x4C,0x9D,0xB5,0xE7,0x71,0x49,0xE9,
		0x9F,0xAE,0x7C,0x67,0x69,0xCC,0xBF,0x53,0x08,0x9D,0x3D,0x90,
		0x78,0x0D,0x33,0xC2,0x28,0x3A,0x68,0xCB,0xFC,0x64,0x31,0x86,
		0xCE,0x4E,0xAC,0x74,0x67,0xA3,0x8B,0x59,0xE7,0xAB,0xB0,0xB2,
		0x14,0x19,0xD9,0xDF,0x38,0x65,0x66,0x17,0xC8,0x8C,0x6E,0x37,
		0x04,0x72,0xD0,0xFF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
